import { TypeSchema } from "@nlighten/json-schema-utils";
import { FunctionDescriptor } from "./functions/types";
export declare class ParseContext {
    paths?: Record<string, TypeSchema>;
    additionalContext?: Record<string, TypeSchema>;
    knownVariables: Set<string>;
    constructor(paths?: Record<string, TypeSchema>, additionalContext?: Record<string, TypeSchema>, previousPaths?: string[]);
    resolve(key: string): TypeSchema | undefined;
    isJsonPathReference(path: any): boolean;
}
export type ParseMethod = (definition: any, targetPath: string, localPath: string, previousPaths: string[], paths: string[], context: ParseContext) => void;
export type HandleFunctionMethod = (detectedAs: "inline" | "object", funcName: string, func: FunctionDescriptor, value: any, args: Record<string, any>, targetPath: string, localPath: string, previousPaths: string[], paths: string[], context: ParseContext, parse?: ParseMethod) => boolean;
export default ParseContext;
